PUT
/sip-media-applications/{sipMediaApplicationId}
http://service.chime.aws.amazon.com/sip-media-applications/{sipMediaApplicationId}Updates the details of the specified SIP media application.
Access Token Required: API Key
Path Parameters
sipMediaApplicationIdstringrequired
The SIP media application ID.
Body Params
Namestring
The new name for the specified SIP media application.
Endpointsarray
The new set of endpoints for the specified SIP media application.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://service.chime.aws.amazon.com/sip-media-applications/{sipMediaApplicationId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}